Flecs: flecs::_::type_impl< T > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::_::type_impl< T > Struct Template Reference

## Static Public Member Functions
static void | init (bool allow_tag=true)
static void | init_builtin (flecs::world_t *world, flecs::entity_t id, bool allow_tag=true)
static entity_t | register_id (world_t *world, const char *name=nullptr, bool allow_tag=true, bool is_component=true, bool explicit_registration=false, flecs::id_t id=0)
static entity_t | id (world_t *world)
static size_t | size ()
static size_t | alignment ()
static bool | registered (flecs::world_t *world)
static void | reset ()
static int32_t | index ()

## Static Public Attributes
static size_t | s_size
static size_t | s_alignment

## Detailed Description

template<typename T>
struct flecs::_::type_impl< T >

Definition at line 111 of file component.hpp.

## Member Function Documentation

## ◆ alignment()

template<typename T>

size_t flecs::_::type_impl< T >::alignment | ( |  | ) |
| inlinestatic

Definition at line 201 of file component.hpp.

## ◆ id()

template<typename T>

entity_t flecs::_::type_impl< T >::id | ( | world_t * | world | ) |
| inlinestatic

Definition at line 174 of file component.hpp.

## ◆ index()

template<typename T>

int32_t flecs::_::type_impl< T >::index | ( |  | ) |
| inlinestatic

Definition at line 223 of file component.hpp.

## ◆ init()

template<typename T>

void flecs::_::type_impl< T >::init | ( | bool | allow_tag = true | ) |
| inlinestatic

Definition at line 116 of file component.hpp.

## ◆ init_builtin()

template<typename T>

void flecs::_::type_impl< T >::init_builtin | ( | flecs::world_t * | world,
|  | flecs::entity_t | id,
|  | bool | allow_tag = true )
| inlinestatic

Definition at line 129 of file component.hpp.

## ◆ register_id()

template<typename T>

entity_t flecs::_::type_impl< T >::register_id | ( | world_t * | world,
|  | const char * | name = nullptr,
|  | bool | allow_tag = true,
|  | bool | is_component = true,
|  | bool | explicit_registration = false,
|  | flecs::id_t | id = 0 )
| inlinestatic

Definition at line 139 of file component.hpp.

## ◆ registered()

template<typename T>

bool flecs::_::type_impl< T >::registered | ( | flecs::world_t * | world | ) |
| inlinestatic

Definition at line 206 of file component.hpp.

## ◆ reset()

template<typename T>

void flecs::_::type_impl< T >::reset | ( |  | ) |
| inlinestatic

Definition at line 218 of file component.hpp.

## ◆ size()

template<typename T>

size_t flecs::_::type_impl< T >::size | ( |  | ) |
| inlinestatic

Definition at line 196 of file component.hpp.

## Member Data Documentation

## ◆ s_alignment

template<typename T>

size_t flecs::_::type_impl< T >::s_alignment
| static

Definition at line 229 of file component.hpp.

## ◆ s_size

template<typename T>

size_t flecs::_::type_impl< T >::s_size
| static

Definition at line 228 of file component.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/component.hpp